## flatpak 1.14.0

=== debian/changelog ===
flatpak (1.14.0-2) unstable; urgency=medium

  * d/control: Add dependency on fuse3, for fusermount3.
    Strictly speaking this is only needed for system installations, but
    those are the default, and a missing fusermount3 produces unclear
    symptoms.
  * d/control: Depend on polkitd in preference to transitional policykit-1.
    This package doesn't need pkexec.
  * Update Lintian overrides

 -- Simon McVittie <smcv@debian.org>  Fri, 02 Sep 2022 08:59:06 +0100

flatpak (1.14.0-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Update
  * Build with libfuse3

 -- Simon McVittie <smcv@debian.org>  Tue, 23 Aug 2022 20:26:06 +0100

flatpak (1.13.3-2) experimental; urgency=medium

  * Build with libcurl http backend.
    This avoids library conflicts during the transition to GNOME 43, in
    which core apps and libraries have switched to libsoup3, which conflicts
    with libsoup2.4. See #1016589.
  * d/control: Remove backwards-compat with libgdk-pixbuf2.0-dev.
    libgdk-pixbuf-2.0-dev was released in bullseye, and official backports
    to old distributions need to swap the dependency anyway, because of
    how buildds resolve alternative dependencies.
  * Set correct Vcs-Git field for experimental branch
  * Standards-Version: 4.6.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Fri, 05 Aug 2022 10:06:16 +0100

flatpak (1.13.3-1) experimental; urgency=medium

  * New upstream development release
  * Drop workaround for #1006684
  * Continue to use libsoup http backend for now
  * d/libflatpak0.symbols: Update

 -- Simon McVittie <smcv@debian.org>  Fri, 17 Jun 2022 17:32:52 +0100

flatpak (1.13.2-1) experimental; urgency=medium

  * New upstream development release
  * d/p/tests-Don-t-install-tap-driver.sh-in-the-installed-tests.patch:
    Drop patch that was applied upstream

 -- Simon McVittie <smcv@debian.org>  Mon, 14 Mar 2022 15:37:10 +0000

flatpak (1.13.1-1) experimental; urgency=medium

  * New upstream development release
  * Build-depend on libappstream-dev instead of libappstream-glib-dev
  * Increase dependency on bubblewrap
  * Install fish profile snippet
  * Add patch to work around #1006684 in libappstream
  * Update symbols file
  * Add patch to avoid unnecessarily installing tap-driver.sh.
    As well as being unnecessary, this file triggers some Lintian
    false-positives.

 -- Simon McVittie <smcv@debian.org>  Wed, 02 Mar 2022 13:27:15 +0000

=== debian/control ===
Source: flatpak
Section: admin
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders:
 Matthias Klumpp <mak@debian.org>,
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 attr <!nocheck>,
 automake (>= 1.14.1),
 bison,
 bubblewrap (>= 0.5.0),
 ca-certificates <!nocheck>,
 dbus-daemon,
 debhelper-compat (= 13),
 desktop-file-utils <!nocheck>,
 dh-exec (>= 0.23~),
 docbook-xml <!nodoc>,
 docbook-xsl <!nodoc>,
 fuse3 <!nocheck>,
 gnupg <!nocheck>,
 gobject-introspection (>= 1.54.1-2~),
 gtk-doc-tools,
 gtk-update-icon-cache <!nocheck>,
 hicolor-icon-theme <!nocheck>,
 libappstream-dev (>= 0.12.0),
 libarchive-dev (>= 2.8.0),
 libattr1-dev,
 libcap-dev,
 libcurl4-gnutls-dev | libcurl-dev,
 libdconf-dev,
 libdw-dev,
 libelf-dev,
 libfuse3-dev (>= 3.1.1),
 libgdk-pixbuf-2.0-dev,
 libgirepository1.0-dev,
 libglib2.0-dev (>= 2.44),
 libgpgme-dev (>= 1.1.8),
 libjson-glib-dev,
 libmalcontent-0-dev (>= 0.4.0),
 libostree-dev (>= 2020.8),
 libpolkit-agent-1-dev,
 libpolkit-gobject-1-dev,
 libseccomp-dev (>= 2.5.2),
 libsystemd-dev,
 libxau-dev,
 libxml2-dev (>= 2.4),
 libxml2-utils,
 libzstd-dev,
 ostree (>= 2020.8) <!nocheck>,
 polkitd <!nocheck> | policykit-1 <!nocheck>,
 procps,
 python3:any,
 python3-pyparsing,
 shared-mime-info <!nocheck>,
 socat <!nocheck>,
 xdg-dbus-proxy (>= 0.1.0),
 xmlto <!nodoc>,
 xsltproc <!nodoc>,
Build-Depends-Indep:
 libglib2.0-doc,
 libostree-doc,
Standards-Version: 4.6.1
Homepage: https://flatpak.org/
Vcs-Git: https://salsa.debian.org/debian/flatpak.git
Vcs-Browser: https://salsa.debian.org/debian/flatpak
Rules-Requires-Root: no

Package: flatpak
Architecture: linux-any
Depends:
 adduser,
 bubblewrap (>= 0.5.0),
 default-dbus-system-bus | dbus-system-bus,
 fuse3,
 xdg-dbus-proxy (>= 0.1.0),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ca-certificates,
 desktop-file-utils,
 hicolor-icon-theme,
 gtk-update-icon-cache,
 libpam-systemd,
 p11-kit,
 polkitd | policykit-1,
 shared-mime-info,
 xdg-desktop-portal (>= 1.6),
 xdg-desktop-portal-gtk (>= 1.6) | xdg-desktop-portal-backend,
 xdg-user-dirs,
Suggests:
 avahi-daemon,
 malcontent-gui,
Conflicts:
 xdg-app,
Replaces:
 xdg-app,
Description: Application deployment framework for desktop apps
 Flatpak installs, manages and runs sandboxed desktop application bundles.
 Application bundles run partially isolated from the wider system, using
 containerization techniques such as namespaces to prevent direct access
 to system resources. Resources from outside the sandbox can be accessed
 via "portal" services, which are responsible for access control; for
 example, the Documents portal displays an "Open" dialog outside the
 sandbox, then allows the application to access only the selected file.
 .
 Each application uses a specified "runtime", or set of libraries, which is
 available as /usr inside its sandbox. This can be used to run application
 bundles with multiple, potentially incompatible sets of dependencies within
 the same desktop environment.
 .
 This package contains the services and executables needed to install and
 launch sandboxed applications, and the portal services needed to provide
 limited access to resources outside the sandbox.

Package: flatpak-tests
Architecture: linux-any
Section: misc
Depends:
 attr,
 ca-certificates,
 dbus-daemon,
 desktop-file-utils,
 flatpak (= ${binary:Version}),
 gnupg,
 gtk-update-icon-cache,
 hicolor-icon-theme,
 ostree (>= 2020.8),
 polkitd | policykit-1,
 shared-mime-info,
 socat,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 python3,
Description: Application deployment framework for desktop apps (tests)
 Flatpak installs, manages and runs sandboxed desktop application bundles.
 See the flatpak package for a more comprehensive description.
 .
 This package contains automated tests.

Package: gir1.2-flatpak-1.0
Architecture: linux-any
Multi-Arch: same
Section: introspection
Depends:
 ${gir:Depends},
 ${misc:Depends},
Description: Application deployment framework for desktop apps (introspection)
 Flatpak installs, manages and runs sandboxed desktop application bundles.
 See the flatpak package for a more comprehensive description.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings for libflatpak0.

Package: libflatpak-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Depends:
 gir1.2-glib-2.0,
 gir1.2-flatpak-1.0 (= ${binary:Version}),
 libflatpak0 (= ${binary:Version}),
 libglib2.0-dev,
 libostree-dev (>= 2020.8),
 libxml2-dev (>= 2.4),
 pkg-config,
 python3:any,
 ${misc:Depends},
Recommends:
 flatpak,
Suggests:
 gdb,
 ostree,
 python3-gi,
 systemd-coredump,
Description: Application deployment framework for desktop apps (development)
 Flatpak installs, manages and runs sandboxed desktop application bundles.
 See the flatpak package for a more comprehensive description.
 .
 This package contains development headers and pkg-config metadata
 for libflatpak0, and the flatpak-coredump and flatpak-bisect scripts used
 to debug Flatpak applications.

Package: libflatpak-doc
Build-Profiles: <!nodoc>
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
Suggests:
 devhelp,
Multi-Arch: foreign
Description: Application deployment framework for desktop apps (documentation)
 Flatpak installs, manages and runs sandboxed desktop application bundles.
 See the flatpak package for a more comprehensive description.
 .
 This package contains reference documentation for libflatpak0.

Package: libflatpak0
Architecture: linux-any
Section: libs
Depends:
 bubblewrap (>= 0.5.0),
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Multi-Arch: same
Description: Application deployment framework for desktop apps (library)
 Flatpak installs, manages and runs sandboxed desktop application bundles.
 See the flatpak package for a more comprehensive description.
 .
 This package contains the flatpak shared library, used by higher level
 package management tools like gnome-software.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

include /usr/share/dpkg/default.mk

binaries := $(shell dh_listpackages)

%:
	dh $@ --with=gir

override_dh_clean:
	dh_clean
	rm -fr debian/HOME
	rm -fr debian/XDG_RUNTIME_DIR

override_dh_autoreconf:
	NOCONFIGURE=1 \
	dh_autoreconf \
		--as-needed \
		./autogen.sh \
		-- \
		$(NULL)

configure_options =

ifneq ($(filter nodoc,$(DEB_BUILD_OPTIONS)),)
configure_options += --disable-docbook-docs
configure_options += --disable-documentation
else
configure_options += --enable-docbook-docs
configure_options += --enable-documentation
endif

ifneq ($(filter libflatpak-doc,$(binaries)),)
configure_options += --enable-gtk-doc
else
configure_options += --disable-gtk-doc
endif

override_dh_auto_configure:
	rm -f app/parse-datetime.c
	dh_auto_configure -- \
		--disable-auto-sideloading \
		--disable-selinux-module \
		--enable-gdm-env-file \
		--enable-installed-tests \
		--with-curl=yes \
		--with-dbus-config-dir=/usr/share/dbus-1/system.d \
		--with-priv-mode=none \
		--with-privileged-group=sudo \
		--with-run-media-dir=/media \
		--with-system-bubblewrap=bwrap \
		--with-system-dbus-proxy=xdg-dbus-proxy \
		--with-systemdsystemunitdir=/lib/systemd/system \
		--with-system-helper-user=_flatpak \
		$(configure_options)

override_dh_install:
	install -d debian/tmp/etc/X11/Xsession.d
	install -m644 debian/tmp/etc/profile.d/flatpak.sh \
		debian/tmp/etc/X11/Xsession.d/20flatpak
	find debian/tmp -name '*.la' -print -delete
	dh_install

# debhelper >= 13.4 makes all of /usr/libexec executable, which is not
# quite right for installed-tests
override_dh_fixperms:
	dh_fixperms -Xusr/libexec/installed-tests
ifneq ($(filter %-tests,$(binaries)),)
	chmod --changes u=rw,og=r debian/*-tests/usr/libexec/installed-tests/*/*.so
	chmod --recursive --changes a+rX,u+w,og-w debian/*-tests/usr/libexec/installed-tests
endif

override_dh_installsystemd:
	dh_installsystemd --no-start

override_dh_auto_test-arch:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	debian/test.sh
endif

override_dh_auto_test-indep:
	@:

## flatpak 1.14.1

=== debian/changelog ===
flatpak (1.14.1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports
    - d/control: Relax libseccomp build-dependency to 2.5.0
    - d/control, d/gbp.conf: Adjust git branch for bullseye-backports
  * d/p/uri-Don-t-do-scheme-based-normalization-with-GLib-2.66.x.patch:
    Drop patch, applied upstream

 -- Simon McVittie <smcv@debian.org>  Fri, 18 Nov 2022 14:40:49 +0000

flatpak (1.14.1-1) unstable; urgency=medium

  * New upstream stable release
  * Remove obsolete maintscript entries
  * Avoid explicitly specifying -Wl,--as-needed linker flag, which is
    the default with newer toolchains

 -- Simon McVittie <smcv@debian.org>  Fri, 18 Nov 2022 13:45:56 +0000

flatpak (1.14.0-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports
    - d/control: Relax libseccomp build-dependency to 2.5.0
    - d/control, d/gbp.conf: Adjust git branch for bullseye-backports
    - d/p/uri-Don-t-do-scheme-based-normalization-with-GLib-2.66.x.patch:
      Add patch from upstream git to fix FTBFS with GLib 2.66.x

 -- Simon McVittie <smcv@debian.org>  Wed, 28 Sep 2022 11:17:36 +0100

flatpak (1.14.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports
    - d/control: Relax libseccomp build-dependency to 2.5.0
    - d/control, d/gbp.conf: Adjust git branch for bullseye-backports
    - d/p/uri-Don-t-do-scheme-based-normalization-with-GLib-2.66.x.patch:
      Add patch from upstream git to fix FTBFS with GLib 2.66.x

 -- Simon McVittie <smcv@debian.org>  Wed, 14 Sep 2022 17:22:39 +0100

flatpak (1.12.7-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Simon McVittie <smcv@debian.org>  Mon, 14 Mar 2022 19:07:24 +0000

flatpak (1.12.6-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Simon McVittie <smcv@debian.org>  Tue, 22 Feb 2022 15:58:59 +0000

flatpak (1.12.5-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Simon McVittie <smcv@debian.org>  Fri, 11 Feb 2022 23:03:11 +0000

flatpak (1.12.4-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Simon McVittie <smcv@debian.org>  Wed, 19 Jan 2022 22:46:37 +0000

flatpak (1.12.3-1~bpo11+1) bullseye-backports; urgency=high

  * Rebuild for bullseye-backports
    - Not waiting for testing migration due to security fixes

 -- Simon McVittie <smcv@debian.org>  Wed, 12 Jan 2022 13:34:15 +0000

flatpak (1.12.2-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
    - d/control: Relax libseccomp build-dependency to 2.5.0
    - d/gbp.conf: Adjust for bullseye-backports

 -- Simon McVittie <smcv@debian.org>  Mon, 18 Oct 2021 10:30:38 +0100

flatpak (1.12.1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports
    - In particular, this backport allows the Flatpak version of Steam
      to run Windows games using a recent official version of Proton,
      which was not possible in 1.10.x.
  * d/control: Relax libseccomp build-dependency to 2.5.0.
    This is not sufficient to block mount_setattr(), but it should be
    sufficient to block clone3(), which is believed to be enough to
    prevent CVE-2021-41133.
  * d/gbp.conf: Adjust for bullseye-backports

 -- Simon McVittie <smcv@debian.org>  Mon, 11 Oct 2021 10:51:49 +0100

=== debian/control ===
--- 
+++ 
@@ -41,7 +41,7 @@
  libostree-dev (>= 2020.8),
  libpolkit-agent-1-dev,
  libpolkit-gobject-1-dev,
- libseccomp-dev (>= 2.5.2),
+ libseccomp-dev (>= 2.5.0),
  libsystemd-dev,
  libxau-dev,
  libxml2-dev (>= 2.4),
@@ -62,7 +62,7 @@
  libostree-doc,
 Standards-Version: 4.6.1
 Homepage: https://flatpak.org/
-Vcs-Git: https://salsa.debian.org/debian/flatpak.git
+Vcs-Git: https://salsa.debian.org/debian/flatpak.git -b debian/bullseye-backports
 Vcs-Browser: https://salsa.debian.org/debian/flatpak
 Rules-Requires-Root: no

## flatpak 1.14.4

=== debian/changelog ===
flatpak (1.14.4-2) unstable; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * Mention #1033098, #1033099 in previous changelog entry

  [ Jeremy Bicha ]
  * Cherry-pick 2 patches for compatibility with glib 2.77

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 18 Jul 2023 17:05:30 -0400

flatpak (1.14.4-1) unstable; urgency=high

  * New upstream security fix release
    - Escape special characters when displaying permissions and metadata,
      preventing malicious apps from manipulating the appearance of the
      permissions list using crafted metadata
      (Closes: #1033098; CVE-2023-28101)
    - If a Flatpak app is run on a Linux virtual console (tty1, etc.),
      don't allow copy/paste via the TIOCLINUX ioctl
      (Closes: #1033099; CVE-2023-28100).
      Note that this is specific to virtual consoles: Flatpak is not
      vulnerable to this if run from a graphical terminal emulator such
      as xterm, gnome-terminal or Konsole.
    - Translation update: pl

 -- Simon McVittie <smcv@debian.org>  Thu, 16 Mar 2023 10:39:01 +0000

flatpak (1.14.3-1) unstable; urgency=medium

  * New upstream stable release
    - Fix handling of apps superseded by an app of a different name
      in GNOME Software (flatpak#5172)
    - Fix a crash when an app has --socket=gpg-agent permission
      (flatpak#5095)
    - Fix a crash when listing broken or misconfigured apps (flatpak#5293)
    - If an app has invalid syntax in its overrides or metadata, mention
      the filename in the error message (flatpak#5293)
    - Unset $GDK_BACKEND so that GTK apps with --socket=fallback-x11
      work reliably (flatpak#5303)
    - Ignore some --filesystem permissions which would otherwise prevent
      all apps from starting (flatpak#1357, flatpak#5205, flatpak#5207)
    - Show a warning when a --filesystem exists but cannot be shared with
      the sandbox (flatpak#1357, flatpak#5035, flatpak#5205, flatpak#5207)

 -- Simon McVittie <smcv@debian.org>  Mon, 27 Feb 2023 12:52:48 +0000

flatpak (1.14.2-1) unstable; urgency=medium

  * New upstream stable release
  * Update standards version to 4.6.2 (no changes needed)

 -- Simon McVittie <smcv@debian.org>  Mon, 06 Feb 2023 17:21:47 +0000

=== debian/control ===
--- 
+++ 
@@ -41,7 +41,7 @@
  libostree-dev (>= 2020.8),
  libpolkit-agent-1-dev,
  libpolkit-gobject-1-dev,
- libseccomp-dev (>= 2.5.0),
+ libseccomp-dev (>= 2.5.2),
  libsystemd-dev,
  libxau-dev,
  libxml2-dev (>= 2.4),
@@ -60,9 +60,9 @@
 Build-Depends-Indep:
  libglib2.0-doc,
  libostree-doc,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://flatpak.org/
-Vcs-Git: https://salsa.debian.org/debian/flatpak.git -b debian/bullseye-backports
+Vcs-Git: https://salsa.debian.org/debian/flatpak.git
 Vcs-Browser: https://salsa.debian.org/debian/flatpak
 Rules-Requires-Root: no

## flatpak 1.14.6

=== debian/changelog ===
flatpak (1.14.6-1ubuntu0.1) noble-security; urgency=medium

  * SECURITY UPDATE: Access outside sandbox
    - debian/patches/CVE-2024-42472-1.patch: don't follow symlinks when
      mounting persisted directories in common/flatpak-context.c.
    - debian/patches/CVE-2024-42472-2.patch: add test coverage for --persist
      in test/test-run.sh.
    - debian/patches/CVE-2024-42472-3.patch: add --bind-fd and --ro-bind-fd to
      subprojects/bubblerap.c.
    - debian/control: makes flatpak depend on bubblerap with --bind-fd feature
      backported to avoid race condition (LP: #2077087)
    - CVE-2024-42472

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Mon, 23 Sep 2024 15:35:49 -0300

flatpak (1.14.6-1) unstable; urgency=high

  * New upstream stable release 1.14.6
    - Don't allow an executable name to be misinterpreted as a command-line
      option for bwrap(1). This prevents a sandbox escape where a malicious
      or compromised app could ask xdg-desktop-portal to generate a .desktop
      file with access to files outside the sandbox. (CVE-2024-32462)
    - Don't parse `<developer><name/></developer>` as the application name
  * d/control: Drop alternative dependencies on transitional policykit-1.
    polkitd was released in Debian 12 and Ubuntu 22.04.

 -- Simon McVittie <smcv@debian.org>  Wed, 17 Apr 2024 19:34:28 +0100

flatpak (1.14.5-1) unstable; urgency=medium

  * New upstream stable release
  * Drop patches cherry-picked in 1.14.4-2, applied upstream
  * d/flatpak.install: Install new tmpfiles.d snippet
  * d/test.sh: Disable http proxy if used, to ensure we can reach localhost.
    Some reproducible.org builders set http_proxy, which makes attempts
    to access our temporary http server on localhost fail with a 503 error.
  * d/control: (Build-)depend on pkgconf in preference to pkg-config
  * d/control: Add ${gir:Depends}, ${gir:Provides} to -dev package
    (Helps: #1030223)
  * d/control: Build-depend on required GIR XML files (Helps: #1030223)
  * Install systemd system unit into /usr/lib/systemd/system.
    This was allowed by TC resolution #1053901.
    Build-depend on debhelper 13.11.6~ to ensure that the unit is still
    picked up by dh_installsystemd.

 -- Simon McVittie <smcv@debian.org>  Fri, 08 Dec 2023 12:25:50 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: flatpak
 Section: admin
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Matthias Klumpp <mak@debian.org>,
  Simon McVittie <smcv@debian.org>,
@@ -9,15 +10,18 @@
  attr <!nocheck>,
  automake (>= 1.14.1),
  bison,
- bubblewrap (>= 0.5.0),
+ bubblewrap (>= 0.9.0-1ubuntu0.1),
  ca-certificates <!nocheck>,
  dbus-daemon,
+ debhelper (>= 13.11.6~),
  debhelper-compat (= 13),
  desktop-file-utils <!nocheck>,
  dh-exec (>= 0.23~),
  docbook-xml <!nodoc>,
  docbook-xsl <!nodoc>,
  fuse3 <!nocheck>,
+ gir1.2-gio-2.0-dev,
+ gir1.2-gobject-2.0-dev,
  gnupg <!nocheck>,
  gobject-introspection (>= 1.54.1-2~),
  gtk-doc-tools,
@@ -48,7 +52,8 @@
  libxml2-utils,
  libzstd-dev,
  ostree (>= 2020.8) <!nocheck>,
- polkitd <!nocheck> | policykit-1 <!nocheck>,
+ pkgconf,
+ polkitd <!nocheck>,
  procps,
  python3:any,
  python3-pyparsing,
@@ -70,7 +75,7 @@
 Architecture: linux-any
 Depends:
  adduser,
- bubblewrap (>= 0.5.0),
+ bubblewrap (>= 0.9.0-1ubuntu0.1),
  default-dbus-system-bus | dbus-system-bus,
  fuse3,
  xdg-dbus-proxy (>= 0.1.0),
@@ -83,7 +88,7 @@
  gtk-update-icon-cache,
  libpam-systemd,
  p11-kit,
- polkitd | policykit-1,
+ polkitd,
  shared-mime-info,
  xdg-desktop-portal (>= 1.6),
  xdg-desktop-portal-gtk (>= 1.6) | xdg-desktop-portal-backend,
@@ -164,8 +169,9 @@
  libglib2.0-dev,
  libostree-dev (>= 2020.8),
  libxml2-dev (>= 2.4),
- pkg-config,
+ pkgconf,
  python3:any,
+ ${gir:Depends},
  ${misc:Depends},
 Recommends:
  flatpak,
@@ -174,6 +180,8 @@
  ostree,
  python3-gi,
  systemd-coredump,
+Provides:
+ ${gir:Provides},
 Description: Application deployment framework for desktop apps (development)
  Flatpak installs, manages and runs sandboxed desktop application bundles.
  See the flatpak package for a more comprehensive description.
@@ -201,7 +209,7 @@
 Architecture: linux-any
 Section: libs
 Depends:
- bubblewrap (>= 0.5.0),
+ bubblewrap (>= 0.9.0-1ubuntu0.1),
  ${misc:Depends},
  ${shlibs:Depends},
 Pre-Depends:

=== debian/watch ===
version=4
# Upstream releases official Autotools 'make dist' tarballs, so we use
# those in preference to git tags
opts="\
    compression=xz, \
    dversionmangle=s/\+(?:git)?[0-9]*(?:\+g[0-9a-f]*)//, \
    downloadurlmangle=s#/tag/#/download/#;s#(v?@ANY_VERSION@)$#$1/@PACKAGE@-$2.tar.xz#, \
    filenamemangle=s#v?@ANY_VERSION@#@PACKAGE@-$1.tar.xz#" \
https://github.com/@PACKAGE@/@PACKAGE@/tags .*/releases/tag/v?(\d+\.\d*[02468]\.\d+)

## flatpak 1.14.8

=== debian/changelog ===
flatpak (1.14.8-1~deb12u1) bookworm; urgency=medium

  * Backport upstream stable release for Debian 12
  * Changes relative to 1.14.4-1+deb12u1 in bookworm-security:
    - New upstream stable release 1.14.6
      + Don't parse `<developer><name/></developer>` as though it was
        the application name
      + Install a tmpfiles.d snippet to clean up /var/tmp/flatpak-cache-*
        during boot
      + Stop http transfers if a download in progress becomes very slow
      + Silence warnings when using GLib 2.77.0 or later
      + Bypass page cache for backend requests in revokefs, fixing
        installation errors with libostree 2023.4 or later
      + Show AppStream metadata in `flatpak remote-info` as intended,
        fixing a regression in 1.9.1
      + Don't let Flatpak apps inherit $VK_DRIVER_FILES or $VK_ICD_FILENAMES
        from the host system, which would be wrong in the sandbox
      + Fix forward-compatibility with libappstream 0.17.x and 1.0
      + Fix a memory leak
      + Fix some compiler warnings
      + Make the test failure produce a clearer message if a required tool
        is missing
      + Don't force `GIO_USE_VFS=local` for programs launched via
        flatpak-spawn
      + Documentation improvements
    - New upstream stable release 1.14.7
      + Automatically reload D-Bus session bus configuration when apps are
        installed or upgraded, ensuring that any new .service files get
        picked up
      + Allow apps to be run if the D-Bus system bus is missing or
        non-functional
      + Add several more environment variables to the list not inherited
        into the sandbox:
        * $LD_AUDIT, $LD_PRELOAD for ld.so
        * $__EGL_VENDOR_LIBRARY_DIRS, etc. for EGL
        * $VK_ADD_DRIVER_FILES, etc. for Vulkan
        * $container, when running Flatpak inside a container manager
      + Use xdg-desktop-portal-gnome, if installed, to detect whether apps
        are running in the background
      + If an app's data is migrated to a new name and then deleted, don't
        try to migrate it again, avoiding a recursive symlink loop
      + Don't leak temporary variable $new_dirs from /etc/profile.d/flatpak.sh
        into user shell sessions
      + Avoid an out-of-bounds left-shift (which is technically undefined
        behaviour) when hashing object names
      + Fix critical warnings "GFileInfo created without
        standard::is-symlink" when using /var/lib/flatpak/extension with
        testing/unstable glib2.0
      + Fix validation of documentation against Docbook DTD
      + Fix a misleading comment in the test for CVE-2024-32462
      + Fix a double-free in the test suite
      + Skip more tests if bubblewrap works but FUSE doesn't
    - New upstream stable release 1.14.8
      + Respin of 1.14.7 reverting unintended submodule changes
    - d/control: Move dbus-system-bus from Depends to Recommends.
      `flatpak run` no longer has a working system bus as a hard requirement
      (verified in `podman run --privileged --rm -it debian:sid-slim`)
    - Drop CVE-2024-32462 patches, included in the upstream stable release
    - debian/test.sh: Disable http proxy if used, to ensure we can reach
      a HTTP server on localhost during automated tests
  * Changes relative to 1.14.8-1 in unstable:
    - Revert polkitd dependencies to polkitd | policykit-1 as previously
      used in bookworm
    - Revert pkgconf dependencies to pkg-config as previously used in
      bookworm
    - Revert location of systemd unit to /lib/systemd/system as previously
      used in bookworm, dropping versioned dependency on debhelper 13.11.6~
    - Revert changes related to Debian 13 GIR XML packaging policy

 -- Simon McVittie <smcv@debian.org>  Tue, 30 Apr 2024 16:50:10 +0100

flatpak (1.14.4-1+deb12u1) bookworm-security; urgency=high

  * d/p/When-starting-non-static-command-using-bwrap-use.patch,
    d/p/test-run-Add-a-reproducer-for-CVE-2024-32462.patch:
    Don't allow an executable name to be misinterpreted as a command-line
    option for bwrap(1). This prevents a sandbox escape where a malicious
    or compromised app could ask xdg-desktop-portal to generate a .desktop
    file with access to files outside the sandbox. (CVE-2024-32462)
  * d/gbp.conf: Use debian/bookworm packaging branch

 -- Simon McVittie <smcv@debian.org>  Wed, 17 Apr 2024 19:39:48 +0100

flatpak (1.14.8-1) unstable; urgency=medium

  * New upstream stable release 1.14.7
    - Automatically reload D-Bus session bus configuration when apps are
      installed or upgraded, ensuring that any new .service files get
      picked up
    - Allow apps to be run if the D-Bus system bus is missing or
      non-functional
    - Add several more environment variables to the list not inherited
      into the sandbox:
      + $LD_AUDIT, $LD_PRELOAD for ld.so
      + $__EGL_VENDOR_LIBRARY_DIRS, etc. for EGL
      + $VK_ADD_DRIVER_FILES, etc. for Vulkan
      + $container, when running Flatpak inside a container manager
    - Use xdg-desktop-portal-gnome, if installed, to detect whether apps
      are running in the background
    - If an app's data is migrated to a new name and then deleted, don't
      try to migrate it again, avoiding a recursive symlink loop
    - Don't leak temporary variable $new_dirs from /etc/profile.d/flatpak.sh
      into user shell sessions
    - Avoid an out-of-bounds left-shift (which is technically undefined
      behaviour) when hashing object names
    - Fix critical warnings "GFileInfo created without
      standard::is-symlink" when using /var/lib/flatpak/extension with
      testing/unstable glib2.0
    - Fix validation of documentation against Docbook DTD
    - Fix a misleading comment in the test for CVE-2024-32462
    - Fix a double-free in the test suite
    - Skip more tests if bubblewrap works but FUSE doesn't
  * New upstream stable release 1.14.8
    - Respin of 1.14.7 reverting unintended submodule changes


=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: flatpak
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Matthias Klumpp <mak@debian.org>,
  Simon McVittie <smcv@debian.org>,
@@ -10,18 +9,15 @@
  attr <!nocheck>,
  automake (>= 1.14.1),
  bison,
- bubblewrap (>= 0.9.0-1ubuntu0.1),
+ bubblewrap (>= 0.5.0),
  ca-certificates <!nocheck>,
  dbus-daemon,
- debhelper (>= 13.11.6~),
  debhelper-compat (= 13),
  desktop-file-utils <!nocheck>,
  dh-exec (>= 0.23~),
  docbook-xml <!nodoc>,
  docbook-xsl <!nodoc>,
  fuse3 <!nocheck>,
- gir1.2-gio-2.0-dev,
- gir1.2-gobject-2.0-dev,
  gnupg <!nocheck>,
  gobject-introspection (>= 1.54.1-2~),
  gtk-doc-tools,
@@ -52,8 +48,7 @@
  libxml2-utils,
  libzstd-dev,
  ostree (>= 2020.8) <!nocheck>,
- pkgconf,
- polkitd <!nocheck>,
+ polkitd <!nocheck> | policykit-1 <!nocheck>,
  procps,
  python3:any,
  python3-pyparsing,
@@ -75,20 +70,20 @@
 Architecture: linux-any
 Depends:
  adduser,
- bubblewrap (>= 0.9.0-1ubuntu0.1),
- default-dbus-system-bus | dbus-system-bus,
+ bubblewrap (>= 0.5.0),
  fuse3,
  xdg-dbus-proxy (>= 0.1.0),
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
  ca-certificates,
+ default-dbus-system-bus | dbus-system-bus,
  desktop-file-utils,
  hicolor-icon-theme,
  gtk-update-icon-cache,
  libpam-systemd,
  p11-kit,
- polkitd,
+ polkitd | policykit-1,
  shared-mime-info,
  xdg-desktop-portal (>= 1.6),
  xdg-desktop-portal-gtk (>= 1.6) | xdg-desktop-portal-backend,
@@ -169,9 +164,8 @@
  libglib2.0-dev,
  libostree-dev (>= 2020.8),
  libxml2-dev (>= 2.4),
- pkgconf,
+ pkg-config,
  python3:any,
- ${gir:Depends},
  ${misc:Depends},
 Recommends:
  flatpak,
@@ -180,8 +174,6 @@
  ostree,
  python3-gi,
  systemd-coredump,
-Provides:
- ${gir:Provides},
 Description: Application deployment framework for desktop apps (development)
  Flatpak installs, manages and runs sandboxed desktop application bundles.
  See the flatpak package for a more comprehensive description.
@@ -209,7 +201,7 @@
 Architecture: linux-any
 Section: libs
 Depends:
- bubblewrap (>= 0.9.0-1ubuntu0.1),
+ bubblewrap (>= 0.5.0),
  ${misc:Depends},
  ${shlibs:Depends},
 Pre-Depends:

## flatpak 1.14.10

=== debian/changelog ===
flatpak (1.14.10-1~deb12u1) bookworm-security; urgency=high

  * Backport upstream stable release into Debian 12 (CVE-2024-42472)
  * d/control: Relax required bubblewrap version to 0.8.0-2+deb12u1.
    This version has a backport of the required --bind-fd option.
  * Other changes relative to 1.14.10-1 in unstable:
    - Revert polkitd dependencies to polkitd | policykit-1 as previously
      used in bookworm
    - Revert pkgconf dependencies to pkg-config as previously used in
      bookworm
    - Revert location of systemd unit to /lib/systemd/system as previously
      used in bookworm, dropping versioned dependency on debhelper 13.11.6~
    - Revert changes related to Debian 13 GIR XML packaging policy

 -- Simon McVittie <smcv@debian.org>  Wed, 14 Aug 2024 15:49:20 +0100

flatpak (1.14.10-1) unstable; urgency=high

  * New upstream stable release
    - Don't follow symbolic links when mounting persistent directories
      (--persist option). This prevents a sandbox escape where a malicious
      or compromised app could edit the symlink to point to a directory
      that the app should not have been allowed to read or write.
      (CVE-2024-42472, GHSA-7hgv-f2j8-xw87)
  * d/control: Bump required bubblewrap version to 0.10.0.
    This adds the new --bind-fd option, required to solve CVE-2024-42472
    without introducing a race condition.

 -- Simon McVittie <smcv@debian.org>  Wed, 14 Aug 2024 15:03:33 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
  attr <!nocheck>,
  automake (>= 1.14.1),
  bison,
- bubblewrap (>= 0.5.0),
+ bubblewrap (>= 0.8.0-2+deb12u1~),
+ bubblewrap (<< 0.8.1~) | bubblewrap (>= 0.10.0~),
  ca-certificates <!nocheck>,
  dbus-daemon,
  debhelper-compat (= 13),
@@ -70,7 +71,8 @@
 Architecture: linux-any
 Depends:
  adduser,
- bubblewrap (>= 0.5.0),
+ bubblewrap (>= 0.8.0-2+deb12u1~),
+ bubblewrap (<< 0.8.1~) | bubblewrap (>= 0.10.0~),
  fuse3,
  xdg-dbus-proxy (>= 0.1.0),
  ${misc:Depends},
@@ -201,7 +203,8 @@
 Architecture: linux-any
 Section: libs
 Depends:
- bubblewrap (>= 0.5.0),
+ bubblewrap (>= 0.8.0-2+deb12u1~),
+ bubblewrap (<< 0.8.1~) | bubblewrap (>= 0.10.0~),
  ${misc:Depends},
  ${shlibs:Depends},
 Pre-Depends:

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 include /usr/share/dpkg/default.mk
 
@@ -9,11 +8,6 @@
 
 %:
 	dh $@ --with=gir
-
-override_dh_clean:
-	dh_clean
-	rm -fr debian/HOME
-	rm -fr debian/XDG_RUNTIME_DIR
 
 override_dh_autoreconf:
 	NOCONFIGURE=1 \

## flatpak 1.15.1

=== meson_options.txt ===
# Copyright 2022 Collabora Ltd.
# SPDX-License-Identifier: LGPL-2.1-or-later

option(
  'auto_sideloading',
  type : 'boolean',
  description : 'enable systemd units which make Flatpak sideload from inserted USB drives',
  value : false,
)
option(
  'dconf',
  type : 'feature',
  description : 'Use dconf?',
  value : 'auto',
)
option(
  'dbus_config_dir',
  type : 'string',
  description : 'directory for D-Bus system configuration [$sysconfdir/dbus-1/system.d]',
  value : '',
)
option(
  'dbus_service_dir',
  type : 'string',
  description : 'directory for D-Bus session service files [$datadir/dbus-1/services]',
  value : '',
)
option(
  'docbook_docs',
  type : 'feature',
  description : 'build documentation with xmlto',
  value : 'auto',
)
option(
  'docdir',
  type : 'string',
  description : 'documentation directory [$datadir/doc/flatpak]',
  value : '',
)
option(
  'gdm_env_file',
  type : 'boolean',
  description : 'install gdm env.d file (not needed if systemd generators work',
  value : false,
)
option(
  'gir',
  type : 'feature',
  description : 'build GObject-Introspection metadata',
  value : 'auto',
)
option(
  'gtkdoc',
  type : 'feature',
  description : 'build API reference documentation with gtk-doc',
  value : 'auto',
)
option(
  'http_backend',
  type : 'combo',
  description : 'library used to implement HTTP',
  choices : ['curl', 'soup'],
  value : 'curl',
)
option(
  'installed_tests',
  type : 'boolean',
  description : 'install automated tests',
  value : false,
)
option(
  'internal_checks',
  type : 'boolean',
  description : 'enable internal checking',
  value : false,
)
option(
  'libzstd',
  type : 'feature',
  description : 'use libzstd?',
  value : 'auto',
)
option(
  'malcontent',
  type : 'feature',
  description : 'use libmalcontent for parental controls?',
  value : 'auto',
)
option(
  'man',
  type : 'feature',
  description : 'build man pages',
  value : 'auto',
)
option(
  'privileged_group',
  type : 'string',
  description : 'name of root-equivalent group',
  value : 'wheel',
)
option(
  'profile_dir',
  type : 'string',
  description : 'directory for profile.d files',
  value : '',
)
option(
  'run_media_dir',
  type : 'string',
  description : 'location of auto-mounted USB drives]',
  value : '/run/media',
)
option(
  'sandboxed_triggers',
  type : 'boolean',
  description : 'enable sandboxed triggers',
  value : true,
)
option(
  'seccomp',
  type : 'feature',
  description : 'enable seccomp',
  value : 'enabled',
)
option(
  'selinux_module',
  type : 'feature',
  description : 'enable selinux module for system-helper',
  value : 'auto',
)
option(
  'system_bubblewrap',
  type : 'string',
  description : 'system bwrap executable, or empty string to build subproject',
  value : '',
)
option(
  'system_dbus_proxy',
  type : 'string',
  description : 'system xdg-dbus-proxy executable, or empty string to build subproject',
  value : '',
)
option(
  'system_font_cache_dirs',
  type : 'array',
  description : 'directory where the system font cache is',
  value : ['/var/cache/fontconfig', '/usr/lib/fontconfig/cache'],
)
option(
  'system_fonts_dir',
  type : 'string',
  description : 'Directory where system fonts are',
  value : '/usr/share/fonts',
)
option(
  'system_helper',
  type : 'feature',
  description : 'enable system helper',
  value : 'enabled',
)
option(
  'system_helper_user',
  type : 'string',
  description : 'name of the system helper user',
  value : 'flatpak',
)
option(
  'system_install_dir',
  type : 'string',
  description : 'location of system installation [$localstatedir/lib/flatpak]',
  value : '',
)
option(
  'systemdsystemenvgendir',
  type : 'string',
  description : 'directory for systemd system environment generators',
  value : 'lib/systemd/system-environment-generators',
)
option(
  'systemd',
  type : 'feature',
  description : 'build with systemd support',
  value : 'auto',
)
option(
  'systemdsystemunitdir',
  type : 'string',
  description : 'directory for systemd system service files',
  # deliberately lib and not based on get_option('libdir'):
  # this should not be lib64 or lib/x86_64-linux-gnu
  value : 'lib/systemd/system',
)
option(
  'systemduserenvgendir',
  type : 'string',
  description : 'directory for systemd user environment generators',
  value : 'lib/systemd/user-environment-generators',
)
option(
  'systemduserunitdir',
  type : 'string',
  description : 'directory for systemd user service files',
  value : 'lib/systemd/user',
)
option(
  'sysusersdir',
  type : 'string',
  description : 'directory for systemd sysusers.d configuration files',
  value : 'lib/sysusers.d'
)
option(
  'tests',
  type : 'boolean',
  description : 'build tests',
  value : true,
)
option(
  'xauth',
  type : 'feature',
  description : 'enable Xauth use',
  value : 'enabled',
)
option(
  'xmlto_flags',
  type : 'array',
  description : 'options to pass to xmlto',
  value : [],
)

## flatpak 1.15.91

=== debian/changelog ===
flatpak (1.15.91-1) unstable; urgency=medium

  * New upstream release candidate (1.16.0 rc1)
  * d/p/tests-Install-missing-test-data.patch:
    Drop patch, applied (slightly differently) upstream
  * d/flatpak.install, d/*.pkla:
    Stop installing a policy snippet for policykit-1 (<< 0.106).
    This is no longer necessary since Debian 12 and Ubuntu 22.04.
  * d/watch: Correct a comment for removal of Autotools

 -- Simon McVittie <smcv@debian.org>  Sun, 22 Dec 2024 12:30:56 +0000

flatpak (1.15.12-1) experimental; urgency=medium

  * New upstream development release
  * d/p/tests-Install-missing-test-data.patch:
    Add patch to fix autopkgtest failure
  * d/salsa-ci.yml: Use the currently-recommended recipe
  * Standards-Version: 4.7.0 (no changes required)
  * Merge packaging from unstable
    - d/upstream/metadata: Canonicalize sort order of keys
    - d/upstream/metadata: Add Security-Contact

 -- Simon McVittie <smcv@debian.org>  Thu, 28 Nov 2024 15:50:46 +0000

flatpak (1.15.10-1) experimental; urgency=high

  * New upstream development release
    - Don't follow symbolic links when mounting persistent directories
      (--persist option). This prevents a sandbox escape where a malicious
      or compromised app could edit the symlink to point to a directory
      that the app should not have been allowed to read or write.
      (CVE-2024-42472, GHSA-7hgv-f2j8-xw87)
  * d/control: Bump required bubblewrap version to 0.10.0.
    This adds the new --bind-fd option, required to solve CVE-2024-42472
    without introducing a race condition.

 -- Simon McVittie <smcv@debian.org>  Wed, 14 Aug 2024 11:00:52 +0100

flatpak (1.15.9-1) experimental; urgency=medium

  * New upstream development release
  * Merge packaging from unstable

 -- Simon McVittie <smcv@debian.org>  Mon, 22 Jul 2024 18:28:31 +0100

flatpak (1.15.8-1) experimental; urgency=high

  * New upstream development release
    - Don't allow an executable name to be misinterpreted as a command-line
      option for bwrap(1). This prevents a sandbox escape where a malicious
      or compromised app could ask xdg-desktop-portal to generate a .desktop
      file with access to files outside the sandbox. (CVE-2024-32462)
  * Merge packaging from unstable

 -- Simon McVittie <smcv@debian.org>  Wed, 17 Apr 2024 20:17:44 +0100

flatpak (1.15.7-1) experimental; urgency=medium

  * New upstream development release
  * d/copyright: Update
  * d/flatpak.lintian-overrides: Remove an obsolete Lintian override
  * d/control, d/rules: Activate dh-sequence-gir declaratively
  * d/patches: Add a patch to fix the "as-installed" tests

 -- Simon McVittie <smcv@debian.org>  Wed, 27 Mar 2024 15:35:47 +0000

flatpak (1.15.6-1) experimental; urgency=medium

  * New upstream development release
  * Mention #1033098, #1033099 in previous changelog entry
  * d/control: (Build-)depend on pkgconf in preference to pkg-config
  * Install systemd system unit into /usr/lib/systemd/system.
    This was allowed by TC resolution #1053901.
    Build-depend on debhelper 13.11.6~ to ensure that the unit is still
    picked up by dh_installsystemd.
  * d/test.sh: Disable http proxy if used, to ensure we can reach localhost.
    Some reproducible.org builders set http_proxy, which makes attempts
    to access our temporary http server on localhost fail with a 503 error.
  * d/control: Build-depend on required GIR XML files (Helps: #1030223)
  * d/control: Add ${gir:Depends}, ${gir:Provides} to -dev package
    (Helps: #1030223)
  * d/control: Require bubblewrap 0.8.0
  * d/control: (Build-)depend on Wayland components for new security context
    extension
  * d/flatpak.install: Install new tmpfiles.d snippet
  * d/copyright: Update
  * d/libflatpak0.symbols: Update
  * d/libflatpak0.symbols: Reduce entropy.
    For each symbol introduced in a development branch older than the
    current one, behave as if the symbol was added in the stable release
    that followed the development branch: this will generate slightly more
    conservative dependencies. For 0.x versions, use 1.0.

 -- Simon McVittie <smcv@debian.org>  Tue, 14 Nov 2023 19:52:48 +0000

flatpak (1.15.4-1) experimental; urgency=medium

  * New upstream development release
    - Escape special characters when displaying permissions and metadata,
      preventing malicious apps from manipulating the appearance of the
      permissions list using crafted metadata
      (Closes: #1033098; CVE-2023-28101)
    - If a Flatpak app is run on a Linux virtual console (tty1, etc.),
      don't allow copy/paste via the TIOCLINUX ioctl
      (Closes: #1033099; CVE-2023-28100).
      Note that this is specific to virtual consoles: Flatpak is not
      vulnerable to this if run from a graphical terminal emulator such
      as xterm, gnome-terminal or Konsole.
  * Merge packaging from unstable

 -- Simon McVittie <smcv@debian.org>  Thu, 16 Mar 2023 10:41:58 +0000

flatpak (1.15.3-1) experimental; urgency=medium

  * New upstream development release
  * Merge packaging changes from unstable
    - Remove obsolete maintscript entries
    - Avoid explicitly specifying -Wl,--as-needed linker flag, which is
      the default with newer toolchains

 -- Simon McVittie <smcv@debian.org>  Tue, 21 Feb 2023 10:44:05 +0000

flatpak (1.15.2-1) experimental; urgency=medium

  * New upstream development release
  * Update standards version to 4.6.2 (no changes needed)

 -- Simon McVittie <smcv@debian.org>  Mon, 06 Feb 2023 14:15:47 +0000

flatpak (1.15.1-1) experimental; urgency=medium

  * New upstream development release
  * d/test.sh: Don't try to show Autotools test logs.
    We're using Meson now, so this is not applicable.
  * d/rules, d/test.sh: Rely on debhelper to set HOME, XDG_RUNTIME_DIR etc.
  * d/test.sh: Extend test timeout to cope better with slow buildds.
    The upstream test timeouts assume a relatively non-loaded system, but
    on a buildd we might be sharing the machine with other processes.
